From: Jeroen Dekkers <jeroen@dekkers.ch>
Date: Sun, 5 Oct 2014 15:40:44 +0200
Subject: Remove build date

---
 Main/SOGo.m                          | 4 ++--
 SoObjects/SOGo/GNUmakefile           | 3 ---
 SoObjects/SOGo/SOGoBuild.h           | 1 -
 SoObjects/SOGo/SOGoBuild.m           | 1 -
 UI/SOGoUI/UIxComponent.h             | 1 -
 UI/SOGoUI/UIxComponent.m             | 5 -----
 UI/Templates/MainUI/SOGoRootPage.wox | 2 +-
 UI/Templates/UIxPageFrame.wox        | 1 -
 SoObjects/SOGo/GNUmakefile.preamble  | 2 --
 9 files changed, 3 insertions(+), 17 deletions(-)

Index: sogo/Main/SOGo.m
===================================================================
--- sogo.orig/Main/SOGo.m
+++ sogo/Main/SOGo.m
@@ -99,8 +99,8 @@ static BOOL debugLeaks;
   SoClassSecurityInfo *sInfo;
   NSArray *basicRoles;
 
-  [self logWithFormat: @"version %@ (build %@) -- starting",
-        SOGoVersion, SOGoBuildDate];
+  [self logWithFormat: @"version %@ -- starting",
+        SOGoVersion];
 
   defaults = [SOGoSystemDefaults sharedSystemDefaults];
   doCrashOnSessionCreate = [defaults crashOnSessionCreate];
Index: sogo/SoObjects/SOGo/GNUmakefile
===================================================================
--- sogo.orig/SoObjects/SOGo/GNUmakefile
+++ sogo/SoObjects/SOGo/GNUmakefile
@@ -89,9 +89,6 @@ SOGo_HEADER_FILES = \
 	SOGoTextTemplateFile.h		\
 	SOGoZipArchiver.h
 
-all::
-	@touch SOGoBuild.m
-
 SOGo_OBJC_FILES = \
 	SOGoBuild.m			\
 	SOGoProductLoader.m		\
Index: sogo/SoObjects/SOGo/SOGoBuild.h
===================================================================
--- sogo.orig/SoObjects/SOGo/SOGoBuild.h
+++ sogo/SoObjects/SOGo/SOGoBuild.h
@@ -23,7 +23,6 @@
 #ifndef BUILD_H
 #define BUILD_H
 
-extern NSString *SOGoBuildDate;
 extern NSString *SOGoVersion;
 
 #endif /* BUILD_H */
Index: sogo/SoObjects/SOGo/SOGoBuild.m
===================================================================
--- sogo.orig/SoObjects/SOGo/SOGoBuild.m
+++ sogo/SoObjects/SOGo/SOGoBuild.m
@@ -22,7 +22,6 @@
 
 #import <Foundation/NSString.h>
 
-NSString *SOGoBuildDate = SOGO_BUILD_DATE;
 NSString *SOGoVersion = (SOGO_MAJOR_VERSION
                          @"." SOGO_MINOR_VERSION
                          @"." SOGO_SUBMINOR_VERSION);
Index: sogo/UI/SOGoUI/UIxComponent.h
===================================================================
--- sogo.orig/UI/SOGoUI/UIxComponent.h
+++ sogo/UI/SOGoUI/UIxComponent.h
@@ -123,7 +123,6 @@
 - (WOResponse *) redirectToLocation: (NSString *) newLocation;
 
 /* Debugging */
-- (NSString *) buildDate;
 - (BOOL) isUIxDebugEnabled;
 
 @end
Index: sogo/UI/SOGoUI/UIxComponent.m
===================================================================
--- sogo.orig/UI/SOGoUI/UIxComponent.m
+++ sogo/UI/SOGoUI/UIxComponent.m
@@ -769,11 +769,6 @@ static SoProduct      *commonProduct
 
 /* debugging */
 
-- (NSString *) buildDate
-{
-  return SOGoBuildDate;
-}
-
 - (BOOL) isUIxDebugEnabled
 {
   SOGoSystemDefaults *sd;
Index: sogo/UI/Templates/MainUI/SOGoRootPage.wox
===================================================================
--- sogo.orig/UI/Templates/MainUI/SOGoRootPage.wox
+++ sogo/UI/Templates/MainUI/SOGoRootPage.wox
@@ -189,7 +189,7 @@
     <md-dialog flex="50" flex-xs="100">
       <md-dialog-content class="md-dialog-content">
         <p><a href="http://sogo.nu/" target="_new">sogo.nu</a></p>
-        <p>Version <var:string value="version"/> (<var:string value="buildDate" />)</p>
+        <p>Version <var:string value="version"/></p>
         <br/>
         <p><var:string label:value="AboutBox" const:escapeHTML="NO"/></p>
         <!--<img class="full-image" const:alt="Inverse" rsrc:src="img/inverse.png"/>-->
Index: sogo/UI/Templates/UIxPageFrame.wox
===================================================================
--- sogo.orig/UI/Templates/UIxPageFrame.wox
+++ sogo/UI/Templates/UIxPageFrame.wox
@@ -18,7 +18,6 @@
         <meta name="description" content="SOGo Web Interface" />
         <meta name="author" content="Inverse inc." />
         <meta name="robots" content="stop" />
-        <meta name="build" var:content="buildDate" />
         <meta name="viewport" content="width=device-width, initial-scale=1,maximum-scale=1" />
         <link href="mailto:support@inverse.ca" rev="made" />
         <link rel="shortcut icon" var:href="siteFavicon" type="image/x-icon" />
Index: sogo/SoObjects/SOGo/GNUmakefile.preamble
===================================================================
--- sogo.orig/SoObjects/SOGo/GNUmakefile.preamble
+++ sogo/SoObjects/SOGo/GNUmakefile.preamble
@@ -3,10 +3,8 @@
 SOGo_INCLUDE_DIRS += -I.. -I../../UI 
 
 HOSTNAME ?= $(shell hostname -f)
-BUILD_DATE = $(shell echo $$USER@$(HOSTNAME); date +"%Y%m%d%H%M")
 
 ADDITIONAL_CPPFLAGS += \
-        -DSOGO_BUILD_DATE="@\"$(BUILD_DATE)\"" \
         -DSOGO_LIBDIR="\"$(SOGO_LIBDIR)\"" \
         -DSOGO_MAJOR_VERSION="@\"$(MAJOR_VERSION)\"" \
         -DSOGO_MINOR_VERSION="@\"$(MINOR_VERSION)\"" \
